## MMCellInfoUmts

MMCellInfoUmts — Helper object to report UMTS cell info

## Functions

const gchar * | mm_cell_info_umts_get_operator_id ()
const gchar * | mm_cell_info_umts_get_lac ()
const gchar * | mm_cell_info_umts_get_ci ()
guint | mm_cell_info_umts_get_frequency_fdd_ul ()
guint | mm_cell_info_umts_get_frequency_fdd_dl ()
guint | mm_cell_info_umts_get_frequency_tdd ()
guint | mm_cell_info_umts_get_uarfcn ()
guint | mm_cell_info_umts_get_psc ()
gdouble | mm_cell_info_umts_get_rscp ()
gdouble | mm_cell_info_umts_get_ecio ()
guint | mm_cell_info_umts_get_path_loss ()

## Types and Values

struct | MMCellInfoUmts

## Object Hierarchy

        GObject
        ╰── MMCellInfo
            ╰── MMCellInfoUmts

## Description

The MMCellInfoUmts is an object used to report UMTS cell information.

The object inherits from the generic MMCellInfo.

## Functions

### mm_cell_info_umts_get_operator_id ()

    const gchar *
    mm_cell_info_umts_get_operator_id (MMCellInfoUmts *self);

Get the PLMN MCC/MNC.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_umts_get_lac ()

    const gchar *
    mm_cell_info_umts_get_lac (MMCellInfoUmts *self);

Get the two-byte Location Area Code of the base station.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the Location Area Code, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_umts_get_ci ()

    const gchar *
    mm_cell_info_umts_get_ci (MMCellInfoUmts *self);

Get the two- or four-byte Cell Identifier.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the Cell Identifier, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_umts_get_frequency_fdd_ul ()

    guint
    mm_cell_info_umts_get_frequency_fdd_ul
                                   (MMCellInfoUmts *self);

Get the frequency of the uplink in kHz while in FDD.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the frequency, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_umts_get_frequency_fdd_dl ()

    guint
    mm_cell_info_umts_get_frequency_fdd_dl
                                   (MMCellInfoUmts *self);

Get the frequency of the downlink in kHz while in FDD.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the frequency, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_umts_get_frequency_tdd ()

    guint
    mm_cell_info_umts_get_frequency_tdd (MMCellInfoUmts *self);

Get the frequency in kHz while in TDD.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the frequency, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_umts_get_uarfcn ()

    guint
    mm_cell_info_umts_get_uarfcn (MMCellInfoUmts *self);

Get the UTRA absolute RF channel number.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the UARFCN, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_umts_get_psc ()

    guint
    mm_cell_info_umts_get_psc (MMCellInfoUmts *self);

Get the primary scrambling code.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the PSC, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_umts_get_rscp ()

    gdouble
    mm_cell_info_umts_get_rscp (MMCellInfoUmts *self);

Get the received signal code power.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the RSCP, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_umts_get_ecio ()

    gdouble
    mm_cell_info_umts_get_ecio (MMCellInfoUmts *self);

Get the ECIO, the received energy per chip divided by the power density in the band measured in dBm on the primary CPICH channel of the cell.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the ECIO, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_umts_get_path_loss ()

    guint
    mm_cell_info_umts_get_path_loss (MMCellInfoUmts *self);

Get the path loss of the cell.

#### Parameters

self | a MMCellInfoUmts. |

#### Returns

the path loss, or `G_MAXUINT` if not available.

Since: 1.20

## Types and Values

### struct MMCellInfoUmts

    struct MMCellInfoUmts;

The MMCellInfoUmts structure contains private data and should only be accessed using the provided API.